SYS_INFO(1)

NAME
sys_info - script to show system version information

SYNOPSIS
sys_info [-v] [-d destination-dir] [-L lib-path] [-P path] [component ...]

DESCRIPTION
The sys_info script displays version numbers for system components. It is useful for finding out the installed versions of the components of a system. The sys_info utility uses a combination of ways to retrieve version information from the installed utilities.

OPTIONS
The following options are available:

-d  This option provides a destination directory, used as the root directory of an alternative set of programs and libraries. This can be useful for finding versions of utilities and libraries rooted in the file system directory, such as the destination directory from a build.sh run.

-L  Give a list of directories (colon separated) that are used when searching for libraries. If not given the value of LD_LIBRARY_PATH is used if set in the environment, or otherwise a standard (built-in) set of directories.

-P  Set PATH. If not given, the system default path, as obtained from user.cs_path via sysctl(8) is used. To use the current value of $PATH from the caller, use:
        -P $PATH

-v  Show the commands used to obtain the version information for each component

Arguments may be given to sys_info. If any arguments are specified, they are assumed to be names of programs, or shared libraries, installed on the system. If no arguments are provided, then all of the items that are known to sys_info are reported.

EXIT STATUS
sys_info exits with status 2 if an unknown option is given, otherwise with status 1 if an unknown component is specified, otherwise, with status 0.

SEE ALSO
awk(1), sed(1), strings(1), uname(1), sysctl(8)

HISTORY
The sys_info program was first seen in NetBSD 8.

AUTHORS
The sys_info script was written by Alistair Crooks <agc@NetBSD.org>.